-- Chapter 1

-- Page 33

-- You can observe when SQL Server is executing a query in parallel by querying the DMV -- sys.dm_os_tasks. A query running on multiple CPUs has one row for each thread, as -- follows:

SELECT
task_address,
task_state,
context_switches_count,
pending_io_count,
pending_io_byte_count,
pending_io_byte_average,
scheduler_id,
session_id,
exec_context_id,
request_id,
worker_address,
host_address
FROM sys.dm_os_tasks
ORDER BY session_id, request_id;